DestinationListHandler(3)

NAME
DestinationListHandler -

This class handles a list of destination addresses.

SYNOPSIS

#include <oqueue.h>

Inherited by OutgoingDataQueue [protected].

  Classes
struct TransportAddress

  Public Member Functions
DestinationListHandler ()
~DestinationListHandler ()
bool isSingleDestination () const
Get whether there is only a destination in the list.
TransportAddress * getFirstDestination () const
void lockDestinationList () const
void unlockDestinationList () const

  Protected Member Functions
void writeLockDestinationList () const
bool addDestinationToList (const InetAddress &ia, tpport_t data, tpport_t control)
Locks the object before modifying it.
bool removeDestinationFromList (const InetAddress &ia, tpport_t dataPort, tpport_t controlPort)
Locks the object before modifying it.

  Protected Attributes
std::list< TransportAddress * > destList

Detailed Description

This class handles a list of destination addresses. Stores network addresses as InetAddress objects.

Author:
    Federico Montesino Pouzols <fedemp@altern.org>

Constructor & Destructor Documentation

  DestinationListHandler::DestinationListHandler ()

  DestinationListHandler::~DestinationListHandler ()

Member Function Documentation

  bool DestinationListHandler::addDestinationToList (const InetAddress & ia, tpport_t data, tpport_t control) [protected]

Locks the object before modifying it.

  TransportAddress* DestinationListHandler::getFirstDestination () const [inline]

  bool DestinationListHandler::isSingleDestination () const [inline]

Get whether there is only a destination in the list.

  void DestinationListHandler::lockDestinationList () const [inline]

  bool DestinationListHandler::removeDestinationFromList (const InetAddress & ia, tpport_t dataPort, tpport_t controlPort) [protected]

Locks the object before modifying it.

  void DestinationListHandler::unlockDestinationList () const [inline]

  void DestinationListHandler::writeLockDestinationList () const [inline, protected]

Member Data Documentation

  std::list<TransportAddress*> DestinationListHandler::destList [protected]

Author

Generated automatically by Doxygen for ccRTP from the source code.